import { e as n } from "../index-DSGwv2Yx.js";
import "./grads/softmax16.js";
import { isPackedTensor as e } from "../utilities/packed.js";
function t(r) {
  return e(r) ? n().runKernel("Softmax16", { logits: r }, { dim: r.rank - 1 }) : n().runKernel("Softmax", { logits: r }, { dim: r.rank - 1 });
}
export {
  t as softmax16
};
